Bug 38647

Summary: [PATCH][RFE] Access to "saved by" information in Word documents
Product: POI Reporter: Trejkaz (pen name) <trejkaz>
Component: HWPFAssignee: POI Developers List <dev>
Status: RESOLVED FIXED    
Severity: enhancement Keywords: PatchAvailable
Priority: P2    
Version: 3.0-dev   
Target Milestone: ---   
Hardware: Other   
OS: other   
Attachments: Patch adding support for reading the "saved-by" table.
Updated patch, properly accounts for the table not being present
saved-by-table.doc
Updated patch, added test case and a little more API

Description Trejkaz (pen name) 2006-02-14 23:40:27 UTC
There is a summary of the revision history stored in a string table referenced
by the STTBSAVEDBY field.

This patch adds read access to that table.  Write access is an exercise for the
reader. ;-)
Comment 1 Trejkaz (pen name) 2006-02-14 23:41:47 UTC
Created attachment 17698 [details]
Patch adding support for reading the "saved-by" table.

This version implements read-access only.  Writing back the original data
should work but as we're not using this part of the functionality there may be
a bug that I haven't spotted.
Comment 2 Trejkaz (pen name) 2006-06-23 01:24:49 UTC
Created attachment 18510 [details]
Updated patch, properly accounts for the table not being present
Comment 3 Nick Burch 2006-06-23 09:40:26 UTC
Any chance you could put together a unit test to go with this new code? Ideally,
we like unit tests to go with new functionality, so we can make sure we don't
break it in the future!

(Oh, and I assume that all the existing unit tests still pass with this patch
applied?)
Comment 4 Trejkaz (pen name) 2006-06-23 10:10:22 UTC
I could do a unit test but I can't promise a time on it since getting things 
to work is (as always) a higher priority. :-)
Comment 5 Nick Burch 2006-06-23 10:13:09 UTC
Great. I'm sure we can commit your new functionality as soon as we can have a
unit test to go with it.
Comment 6 Trejkaz (pen name) 2006-08-14 01:43:00 UTC
In case you're wondering, I haven't forgotten about this.  Starting work on the
unit test now.
Comment 7 Trejkaz (pen name) 2006-08-14 02:46:02 UTC
Created attachment 18711 [details]
saved-by-table.doc
Comment 8 Trejkaz (pen name) 2006-08-14 02:47:14 UTC
Created attachment 18712 [details]
Updated patch, added test case and a little more API

Done.  Let me know what else needs to be done.
Comment 9 Nick Burch 2006-08-14 10:29:31 UTC
Thanks for this, I've committed it to SVN.

The only other thing you might want to do is write a quick bit of documentation
for it. src/documentation/content/xdocs/hwpf/quick-guide.xml would probably be
the place to add a paragraph or two on it.